[Commit] cairo autogen.sh,1.1,1.2

Carl Worth commit at keithp.com
Mon Aug 18 19:52:48 PDT 2003


Committed by: cworth

Update of /local/src/CVS/cairo
In directory home.keithp.com:/tmp/cvs-serv23388

Modified Files:
	autogen.sh 
Log Message:
Added better warning if pkg-config is not installed.
Add --enable-maintainer-mode to autogen.sh

Index: autogen.sh
===================================================================
RCS file: /local/src/CVS/cairo/autogen.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- autogen.sh	17 Apr 2003 20:24:29 -0000	1.1
+++ autogen.sh	19 Aug 2003 01:52:46 -0000	1.2
@@ -3,21 +3,38 @@
 
 set -e
 
+ARGV0=$0
+
+if test -z "$ACLOCAL_FLAGS"; then
+    acdir=`aclocal --print-ac-dir`
+    if [ ! -f $acdir/pkg.m4 ]; then
+	echo "$ARGV0: Error: Could not find pkg-config macros."
+	echo "        (Looked in $acdir/pkg.m4)"
+	echo "        If pkg.m4 is available in /another/directory, please set"
+	echo "        ACLOCAL_FLAGS=\"-I /another/directory\""
+	echo "        Otherwise, please install pkg-config."
+	echo ""
+	echo "pkg-config is available from:"
+	echo "http://www.freedesktop.org/software/pkgconfig/"
+	exit 1
+    fi
+fi
+
 if test -z "$*"; then
-  echo "$0:	Note: \`./configure' will be run with no arguments."
+  echo "$ARGV0:	Note: \`./configure' will be run with no arguments."
   echo "		If you wish to pass any to it, please specify them on the"
   echo "		\`$0' command line."
   echo
 fi
 
 do_cmd() {
-    echo "$0: running \`$@'"
+    echo "$ARGV0: running \`$@'"
     $@
 }
 
 do_cmd libtoolize --force --copy
 
-do_cmd aclocal
+do_cmd aclocal ${ACLOCAL_FLAGS}
 
 do_cmd autoheader
 
@@ -25,4 +42,4 @@
 
 do_cmd autoconf
 
-do_cmd ./configure ${1+"$@"} && echo "Now type \`make' to compile" || exit 1
+do_cmd ./configure --enable-maintainer-mode ${1+"$@"} && echo "Now type \`make' to compile" || exit 1




More information about the Commit mailing list